<?php

/**
 * The template for displaying comments
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 * @package Glaciers
 * @since 1.0.0
 */

if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly.
}

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if (post_password_required()) {
	return;
}
?>


<div id="comments" class="comments-area">

	<?php
	// You can start editing here -- including this comment!
	if (have_comments()) :
	?>
		<h2 class="comments-title"><?php echo glaciers_get_theme_svg('chat'); ?>
			<?php
			$glaciers_comment_count = get_comments_number();
			if ('1' === $glaciers_comment_count) {
				printf(
					/* translators: 1: Comment heading with post title. */
					esc_html__('One comment %1$s', 'glaciers'),
					'<span class="visually-hidden">' . wp_kses_post(get_the_title()) . '</span>'
				);
			} else {
				printf(
					/* translators: 1: comment count number, 2: title. */
					esc_html(_nx('%1$s comment %2$s', '%1$s comments %2$s', $glaciers_comment_count, 'comments title', 'glaciers')),
					number_format_i18n($glaciers_comment_count), // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
					'<span class="visually-hidden">' . wp_kses_post(get_the_title()) . '</span>'
				);
			}
			?>
		</h2><!-- .comments-title -->

		<div class="comment-list">
			<?php
			wp_list_comments(array(
				'walker' => new Glaciers_Comment_Walker(),
				'style'      => 'div',
				'avatar_size' => 50,
			));
			?>
		</div><!-- .comment-list -->

		<?php
		the_comments_navigation();

		// If comments are closed and there are comments, let's leave a little note, shall we?
		if (!comments_open()) :
		?>
			<p class="no-comments"><?php esc_html_e('Comments are closed.', 'glaciers'); ?></p>
	<?php
		endif;

	endif; // Check for have_comments().

	comment_form();
	?>

</div><!-- #comments -->